/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public 
 * License version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Initial Developer of the Original Code is R.V.Guha. Portions
 * created by R.V.Guha are copyright (c) 2000 R.V.Guha. All Rights
 * Reserved.
 */

typedef enum {
  CS_OK = 0,
  CS_ERROR,
  CS_DONE,
  CS_PROCESSING
} CS_Status;
  
typedef struct _ContentSourceStruct* ContentSource;

ContentSource CS_NewContentSource(char* url);

CS_Status CS_Start(ContentSource cs);

CS_Status CS_GetContent(ContentSource cs, char* body, size_t bufferSize, size_t* len);

CS_Status CS_Close(ContentSource cs);
