/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public 
 * License version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Initial Developer of the Original Code is R.V.Guha. Portions
 * created by R.V.Guha are copyright (c) 2000 R.V.Guha. All Rights
 * Reserved.
 */




typedef struct _RDF_ParserStruct {
  XML_StartElementHandler startElementHandler;
  XML_EndElementHandler   endElementHandler;
  XML_CharacterDataHandler   characterDataHandler;
  RDF_Resource stack[256];
  int   depth;
  int   status;
  RDF_SerializationType type;
  XML_Parser xml_parser;
  char* url;
  int   count;
  RDF_DB db;
  char* code;
  HashTable classHash;
  FILE *file;
  char* cbuff;
  int   cbuffSize;
  int   cbuffLen;
} RDF_ParserStruct;



#define EXPECTING_OBJECT 1
#define EXPECTING_PROPERTY 2
