/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public 
 * License version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Initial Developer of the Original Code is R.V.Guha. Portions
 * created by R.V.Guha are copyright (c) 2000 R.V.Guha. All Rights
 * Reserved.
 */

typedef struct _IndexStruct {
  size_t len;
  char*  data;
  size_t maxLen;
  size_t offset;
  struct _IndexStruct* next;
  int free;
} IndexStruct;


Index getIndexForLen (size_t len) ;
void freeIndex (Index ind) ;

RDF_Cursor getNewCursor();
void       freeCursor(RDF_Cursor c);
