
typedef enum {
  CONNECTION_ALIVE,
  CONNECTION_ENDED
} ClientStatus;

typedef struct _NamespaceStruct {
  char* prefix;
  char* url;
  struct _NamespaceStruct *next;
} NamespaceStruct;

typedef NamespaceStruct *Namespace;

typedef struct _ClientConnectionStruct {
  int socket;
  ClientStatus status;
  Namespace namespaces;
  struct _ClientConnectionStruct* next;
} ClientConnectionStruct;

typedef ClientConnectionStruct *ClientConnection;
