/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public 
 * License version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Initial Developer of the Original Code is R.V.Guha. Portions
 * created by R.V.Guha are copyright (c) 2000 R.V.Guha. All Rights
 * Reserved.
 */

#include <stdlib.h>
#include <string.h>

#define streq(x, y) (strcmp(x, y) == 0)


char* getMem(size_t size);
void  freeMem(char* mem);
char* trimLine(char* line);
int nullString(const char* line, int n);
int startsWith(const char* str, const char* prefix);
int endsWith (const char* str, const char* suffix) ;
int readn(int fd, char *ptr, int maxlen) ;
int readline(int fd, char *ptr, int maxlen) ;
int writen(int fd, char *ptr, int nbytes) ;



